<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

namespace Concrete\Package\GntMaxmind\Attribute\GntMaxmindRedirect;

defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Core\Attribute\Controller as AttributeTypeController;
use Concrete\Core\Attribute\Key\Category as AttributeKeyCategory;
use Concrete\Core\Foundation\Object;
use Database;


use Concrete\Package\GntMaxmind\Src\RedirectRuleSet;


class Controller extends AttributeTypeController
{
    protected $searchIndexFieldDefinition = array();

	/*
	 * XXX: cleanup?
    public function getSearchIndexValue()
    {
        return;
	}
	 */

    public function getAttributeKeyHandle()
    {
        return $this->attributeKey->getAttributeKeyHandle();
    }

    public function getAttributeKeyCategoryHandle()
    {
        $id = $this->attributeKey->getAttributeKeyCategoryID();
        return AttributeKeyCategory::getById($id)->getAttributeKeyCategoryHandle();
    }

	/* XXX cleanup?
    public function searchKeywords($val)
    {
        return '';
    }
	 */

    public function getValue()
    {
        $val = Value::getByID($this->getAttributeValueID());
        return $val;
    }

	/* XXX cleanup?
    public function getDisplayValue()
    {
        return nl2br($this->getValue());
    }
	 */

    public function form()
    {
        // Check that we have a current value to use, and use it
        if (is_object($this->attributeValue)) {
            $val = $this->getValue();
            $this->set('recursive', $val->recursive);
            $this->set('activated', $val->activated);
            $this->set('debug', $val->debug);
            $this->set('rsID', $val->rsID);
        }
        // form.php will be rendered after this point
    }

	/* XXX cleanup?
    public function type_form()
    {
    }
	 */

    public function saveValue($data)
    {
        if ($data instanceof Value) {
            $data = (array) $data;
        }
        extract($data);

		$db = Database::getActiveConnection();

		$db->Replace(
			'atGntMaxmindRedirect',
			array(
				'avID' => $this->getAttributeValueID(),
				'rsID' => intval($rsID),
				'recursive' => intval($recursive),
				'activated' => intval($activated),
				'debug'        => intval($debug),
				),
			'avID', true
		);
    }

    public function saveForm($data)
    {
        $this->saveValue($data);
    }

    public function validateForm($data)
    {
        $rsID = $data['rsID'];
        if (!$rsID || is_null(RedirectRuleSet::getByID($rsID))) {
            return false;
        }

        return true;
    }

    public function deleteKey()
    {
        $db = Database::getActiveConnection();
        $arr = $this->attributeKey->getAttributeValueIDList();
        foreach ($arr as $id) {
            $db->Execute('delete from atGntMaxmindRedirect where avID = ?', array($id));
        }
    }

    public function deleteValue()
    {
        $db = Database::getActiveConnection();
        $db->Execute('DELETE FROM atGntMaxmindRedirect WHERE avID = ?', array($this->getAttributeValueID()));
    }
}

class Value extends Object
{
    public $rsID = 0;
    public $ruleSet = null;
    public $recursive = 0;
    public $activated = 1;
    public $debug = 0;

    public function setPropertiesFromArray($values)
    {
        parent::setPropertiesFromArray($values);

        $rsID = $this->rsID = intval($this->rsID);
        if ($rsID) {
            $this->ruleSet = RedirectRuleSet::getByID($rsID);
        }
        if (!$this->ruleSet) {
            $this->rsID = 0;
        }

        $this->recursive = intval($this->recursive);
        $this->debug     = intval($this->debug);
        $this->activated = intval($this->activated);
    }

    public function getByID($avID)
    {
		$db = Database::getActiveConnection();
        $values = $db->GetRow("SELECT * from atGntMaxmindRedirect WHERE avID = ?", array($avID));
        if (!isset($values['avID'])) {
            return;
        }
        $av = new Value();
        $av->setPropertiesFromArray($values);

        return $av;
    }

    public function setRuleSet($rs)
    {
        if (is_object($rs)) {
            $rs = $rs->getRuleSetID();
        }
        $this->rsID = $rs;
        if ($this->rsID) {
            $this->ruleSet = RedirectRuleSet::getByID($this->rsID);
            if (!$this->ruleSet) {
                $this->rsID = 0;
            }
        }
    }

    public function __toString()
    {
        return t('Redirection RuleSet: %s', $this->ruleSet ? $this->ruleSet->name() : t('None'));
    }
}

// vim: set noexpandtab ts=4 :

