<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
namespace Concrete\Package\GntMaxmind\Block\GntMaxmind;

defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Package\GntMaxmind\Src\RedirectRuleSet;
use Concrete\Package\GntMaxmind\Src\MaxmindDatabase;

use Concrete\Core\Block\BlockController;
use Package;

class Controller extends BlockController
{

    protected $btTable = "btGntMaxmind";
    protected $btInterfaceWidth = "650";
    protected $btInterfaceHeight = "450";
    protected $btCacheBlockOutput = false;
    protected $btCacheBlockOutputOnPost = false;
    protected $btCacheBlockOutputForRegisteredUsers = false;

    protected $btDefaultSet = 'multimedia';

    public function getBlockTypeName()
    {
        return t("Maxmind GeoIP Redirect and Message");
    }

    public function getBlockTypeDescription()
    {
        return t("Show a customized message based on viewer location");
    }

    public function on_page_view()
    {
        // XXX check if that method still gets called
        if ($this->rsID) {
            $rs = RedirectRuleSet::getByID($this->rsID);
            if ($rs) {
                $rs->route();
            }
        }
    }

    public function view()
    {
		$ip = Package::getByHandle('gnt_maxmind')->getCurrentIP();

        $db = MaxmindDatabase::database();
        if (!$db) {
            return;
        }

        if ($this->prompt && $db->getCountryCode($ip)) {
            $this->set('message', MaxmindDatabase::customizeMessage($this->prompt, $ip));
        } else {
            $this->set('message', MaxmindDatabase::customizeMessage($this->unknownPrompt, $ip));
        }
    }

    public function save($args)
    {
        $args['redirect'] = intval($args['redirect']);
        $args['redirect'] = intval($args['redirect']);
        parent::save($args);
    }
}

// vim: set noexpandtab ts=4 :

