<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2013 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
namespace Concrete\Package\GntMaxmind\Controller\SinglePage\Dashboard\GntMaxmind;

defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Package\GntMaxmind\Src\MaxmindDatabase;
use Concrete\Core\Page\Controller\DashboardPageController;
use Package;
use Log;
use \Illuminate\Filesystem\Filesystem;


class Databases extends DashboardPageController
{
    public function view()
    {
        $this->set('dbList', MaxmindDatabase::listDatabases());


        $pkg = Package::getByHandle('gnt_maxmind');

        $this->set('canDownload', MaxmindDatabase::canDownload());
        $this->set('canWrite',  $pkg->canWriteDatabaseStorage());
        $this->set('activeDB', $pkg->currentMaxMindKey());
		$this->set('upload_max_size', $pkg->maxUploadFileSize());
		$this->set('post_max_size', $pkg->maxPostSize());
		$this->set('mem_max_size', $pkg->memoryLimit());
		$this->set('path', $pkg->getDatabasePath());
    }

    public function update()
    {
        if (isset($_REQUEST['ccm-submit-delete'])) {

			if (!is_array($_REQUEST['selected-db']) || !count($_REQUEST['selected-db'])) {
				$this->error->add(t('Please select a database to delete'));
				$this->view();
				return;
			} 

            foreach ($_REQUEST['selected-db'] as $db) {
                MaxmindDatabase::deleteDatabase($db);
            }
        }

        if (isset($_REQUEST['ccm-submit-save']) && isset($_REQUEST['activeDB'])) {
            $pkg = Package::getByHandle('gnt_maxmind');
            $pkg->setCurrentMaxMindKey($_REQUEST['activeDB']);
        }

        $this->redirect('/dashboard/gnt_maxmind/databases/updated');
    }

    public function updated()
    {
        $this->set('success', t('Active database updated'));
        $this->view();
    }

    public function upload()
    {
		$fs = new Filesystem();
        if (isset($_FILES['dbFile']) && is_uploaded_file($_FILES['dbFile']['tmp_name'])) {
            $r = MaxmindDatabase::install($_FILES['dbFile']['tmp_name']);

            $fs->delete(($_FILES['dbFile']['tmp_name']));
            if ($r !== true) {
				$this->error->add($r);
                $this->view();

                return;
            }
            $pkg = Package::getByHandle('gnt_maxmind');
            $pkg->useLastestInstalled();
            $this->redirect('/dashboard/gnt_maxmind/databases/uploaded');
        } else {
			$this->error->add(t("No file uploaded or Invalid db upload file."));
        }
        $this->view();
    }

    public function uploaded()
    {
        $this->set('success', t('Database uploaded successfuly'));
        $this->view();
    }

    public function download()
    {
        $r = MaxmindDatabase::downloadAndInstallLatest();
        $pkg = Package::getByHandle('gnt_maxmind');
        $pkg->useLastestInstalled();

        if ($r !== true) {
			$this->error->add($r);
            $this->view();
        } else {
            $this->redirect('/dashboard/gnt_maxmind/databases/downloaded');
        }
    }

    public function downloaded()
    {
        $this->set('success', t('Database downloaded successfuly'));
        $this->view();
    }
}

// vim: set noexpandtab ts=4 :

