<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2013 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

namespace Concrete\Package\GntMaxmind\Controller\SinglePage\Dashboard\GntMaxmind;

defined('C5_EXECUTE') or die('Access Denied.');

use GeoIp2\Exception\AddressNotFoundException;

use Concrete\Package\GntMaxmind\Src\MaxmindDatabase;
use Concrete\Core\Page\Controller\DashboardPageController;
use Log;

class Lookup extends DashboardPageController
{
	public function view()
	{
		$this->set( 'ip', $_SERVER['REMOTE_ADDR'] );
	}

	public function lookup()
	{
		if ( isset( $_REQUEST['ip'] ) )
		{
			$ip = $_REQUEST['ip'];
			$db = MaxmindDatabase::database();

			$this->set('found', false);

			if (!$db) {

				$this->error->add(t('Maxmind database error: no database installed or selected'));

			} else if ($db->hasRecord($ip)) {

				$this->set('country', $db->getCountryName($ip) );
				$this->set('countryCode', $db->getCountryCode($ip) );
				$this->set('countries', $db->getCountries($ip) );

				$this->set('city',    $db->getCityName($ip) );
				$this->set('cities',  $db->getCities($ip) );

				$this->set('state',   $db->getStateName($ip));
				$this->set('stateCode', $db->getStateCode($ip));
				$this->set('states', $db->getStateNames($ip));

				$this->set('longitude', $db->getLongitude($ip));
				$this->set('latitude', $db->getLatitude($ip));

				$this->set('found', true);

			} else {
			}
		}

		$this->view();
	}
}



// vim: set noexpandtab ts=4 :
