<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
namespace Concrete\Package\GntMaxmind\Controller\SinglePage\Dashboard\GntMaxmind;

defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Package\GntMaxmind\Src\RedirectRule;
use Concrete\Package\GntMaxmind\Src\RedirectRuleSet;
use Concrete\Core\Page\Controller\DashboardPageController;

class Rules extends DashboardPageController
{
    public function view()
    {
        $rsID = $_REQUEST['rsID'];
        if ($rsID) {
            $this->set('ruleSet', RedirectRuleSet::getByID($rsID));
            $this->set('rsID', $rsID);
        }
    }

    public function create()
    {
        $this->set('ruleSet', new RedirectRuleSet());
        $this->set('action', 'create');
    }

    public function save()
    {
        if ($_REQUEST['action'] != 'create') {
            $rsID = $_REQUEST['rsID'];
            if ($rsID) {
                $ruleSet = RedirectRuleSet::getByID($rsID);
                $this->set('rsID', $rsID);
            }
        } else {
            $ruleSet = new RedirectRuleSet();
        }
        $ruleSet->readForm($_REQUEST);
        $this->set('ruleSet', $ruleSet);

        if ($_REQUEST['ccm-submit-save']) {
            if ($ruleSet->validate()) {
                $ruleSet->save();
                $this->set('success', t('ruleset saved'));
            } else {
                $this->error->add(t('can not save rule set, please fix the incorrect field and try again'));
            }
        } elseif ($_REQUEST['ccm-submit-delete']) {
            $ruleSet->delete();
            $this->redirect('/dashboard/gnt_maxmind/rules/deleted');
        } else {
            foreach (array_keys($_REQUEST) as $key) {
                if (preg_match(',^ccm-submit-delete-rule-\d+$,', $key)) {
                    $id = str_replace('ccm-submit-delete-rule-', '', $key);
                    $rule = RedirectRule::getByID($id);
                    $rule->delete();
                    $ruleSet->refreshRules();
                    $this->set('message', t('rule deleted'));
                }
            }
        }
    }
    public function deleted()
    {
        $this->set('message', t('ruleset deleted'));
        $this->view();
    }
}

// vim: set noexpandtab ts=4 :

