<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

namespace Concrete\Package\GntMaxmind\Controller\SinglePage\Dashboard\GntMaxmind;

defined('C5_EXECUTE') or die('Access Denied.');

use Page;
use Log;
use Package;
use Concrete\Core\Page\Controller\DashboardPageController;

class Settings extends DashboardPageController
{
	const MOVE_DATABASES = 0;
	const START_ANEW = 1;

    public function view()
    {
        $pkg = Package::getByHandle('gnt_maxmind');

        $this->set('isDisabled', $pkg->isDisabled());
		$this->set('moveMethod', self::MOVE_DATABASES);
		$this->set('dbStoragePath', $pkg->getDatabasePath());
		$this->set('removeOnUninstall', $pkg->mustDeleteOnUninstall());

		$this->set('simulationMethod', $pkg->simulationMethod());
		$this->set('simulationVarName', $pkg->simulationVarName());
		$this->set('simulationIP', $pkg->simulationIP());

        $p = Page::getByPath('/dashboard/gnt_maxmind/settings');
    }

    public function update()
    {
        if (!isset($_REQUEST['ccm-submit-save'])) {
			$this->view();
			return;
		}

		$pkg = Package::getByHandle('gnt_maxmind');

		// global enable
		$pkg->disable($_REQUEST['globalEnable'] != 1);

		// delete upon uninstall:
		$pkg->setDeleteOnUninstall($_REQUEST['removeOnUninstall']==1);

		$pkg->setSimulationMethod($_REQUEST['simulationMethod']);
		$pkg->setSimulationVariableName($_REQUEST['simulationVarName']);
		$pkg->setSimulationIP($_REQUEST['simulationIP']);

		if ($_REQUEST['changeDbStoragePath'] == 1) {
			$old = $pkg->getDatabasePath();
			$new = $_REQUEST['dbStoragePath'];

			if ($old != $new) {

				$delete = ($_REQUEST['removeOldDirectory'] == 1);
				$copy = ($_REQUEST['moveMethod'] == self::MOVE_DATABASES);

				$pkg->setDatabasePath($new, $delete, $copy);
			}
		}

        $this->redirect('/dashboard/gnt_maxmind/settings/updated');
    }

    public function updated()
    {
        $this->set('success', t('settings updated'));
        $this->view();
    }
}

// vim: set noexpandtab ts=4 :

