<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

defined('C5_EXECUTE') or die('Access Denied.');

$form = \Core::make('helper/form');

use Concrete\Package\GntMaxmind\Controller as Package;

$defaultPath = Package::getDefaultDatabasePath();

# TODO add the unfreeze graphics (with monitoring of the installation)
# TODO assert that the path is valid (not empty)

$extensions = array('gmp', 'bcmath');
$extoks = true;
$message = false;

?>

<div class="row">
    <h1><?php echo t("Welcome to %sMaxmind IP-GeoLoc%s Installation", '<strong>', '</strong>')?></h1>

    <?php  foreach ($extensions as $ext) {
        if (!extension_loaded($ext)) {
            $extoks = false;
            if (!$message) {
            ?>
                <div class="help-block"><?php echo t('The following extensions have not been detected, please fix this installation before proceeding:')?></div>
                <script type="text/javascript">
                $(function(){
                    $('form').submit(function(){
                        alert("<?php echo t('Missing extensions, please fix the errors before installing the addon')?>");
                        return false;
                    });
                    $('input.btn-primary').prop('disabled', true);
                }); 
                </script>
            <?php 
                $message = true;
            }
            ?>
                <div class="alert alert-danger"><?php echo t('%1$s extension is not loaded, you need %1$s PHP extension to properly use Maxmind database', "<code>$ext</code>")?></div>
            <?php 
        }
    } ?>

    <?php  if ($extoks) { ?>
    <div class="help-block">
        <p><?php echo t('Maxmind IP-GeoLoc relies on the use of a geoip database from Maxmind. In order to use this addon, you will need to download and install a database. (This process will be done automatically).')?></p>
        <p><?php echo t("By default, the database will be installed in the %s directory, (the directory will be created by the installer, and will be deleted from your system if you decide to uninstall this addon, see the following option).", "<code>$defaultPath</code>")?></p>
        <p ><?php echo t("You can change this behavior in the following form, or later in the settings dashboard page")?></p>

    </div>

    <div class="panel panel-default">
        <div class="panel-body">
            <fieldset>
                <legend><?php echo t('Maxmind IP-GeoLoc Installation Options:');?></legend>
                <div class="form-group">
                    <?php echo $form->label('databasePath', t('Specify database installation path:'))?>
                    <div class="input-group">
                        <div class="input-group-addon"><?php echo $form->checkbox('customizePath', 1, 0)?></div>
                        <?php echo $form->text("databasePath", $defaultPath, array('disabled' => 'disabled'))?>
                    </div>
                        <p class="help-block"><?php echo t("if not checked, the default path will be used")?></p>
                </div>

                <script type="text/javascript">
                $(function(){
                    $('#customizePath').change(function(){
                        var activated = $('#customizePath').is(':checked');
                        if (activated) {
                            $('#databasePath').enable(true);
                        } else {
                            $('#databasePath').enable(false);
                        }
                    });
                });
                </script>


                <div class="form-group">
                    <label>
                        <input type="checkbox" value="1" name="removeDirectory" checked><?php echo t('Remove directory upon addon un-installation');?></input>
                    </label>
                </div>

            </fieldset>
        </div>
    </div>
    <p class="help-block"> <?php echo t("After installation you will be prompted to install the Maxmind GeoIP database")?> </p>

    <?php  } ?>
</div>
