<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

defined('C5_EXECUTE') or die('Access Denied.');

use Concrete\Package\GntMaxmind\Src\MaxmindDatabase;

# TODO add feedback logo to create correct feedback on unfreeze

$pkg = Package::getByHandle('gnt_maxmind');

$path = $pkg->getDatabasePath();

$nh   = Core::make('helper/navigation');

$settingsLink = $nh->getLinkToCollection(Page::getByPath('/dashboard/gnt_maxmind/settings'));
$dbLink = $nh->getLinkToCollection(Page::getByPath('/dashboard/gnt_maxmind/databases'));

$dbList = MaxmindDatabase::listDatabases();
?>

<div class="row">
    <div class="alert alert-success"><?php echo t('Installation successful!')?></div>

    <?php 
    if (count(MaxmindDatabase::listDatabases())!=0) {
        $key = Package::getByHandle('gnt_maxmind')->fixCurrentKey();
    ?>
        <div class="alert alert-success"><?php echo t('Your installation seem to already contain a maxmind database, we have automatically configured it for you!')?></div>
        <p>
            <?php echo t('The following databases were found in your database folder:')?>
            <div class="list-group">
                <?php  foreach ($dbList as $dTime => $desc) {?>
                    <a class="list-group-item <?php  if ($dTime==$key){?>active<?php  } ?>"><code><?php echo $desc[0]?></code> (<?php echo $desc[1]?>)</a>
                <?php  } ?>
            </div>

            <?php echo t("The currently active database is set to %s, please visit the %sMaxmind databases dashboard page%s if you wish to change it",
                 "<code>$key</code>", "<a href=\"$dbLink\">", "</a>")?>
        </p>
    <?php  } else {?>
        <div class="alert alert-warning">
            <?php echo t('Your installation does not seem to have any Maxmind database installed, please visit %sMaxmind databases dashboard page%s to add a database.',
               "<a href=\"$dbLink\">", '</a>')?>
        </div>
    <?php  } ?>

    <p><?php echo t('Your database storage path had been configured to:');?></p>
    <div style="width:100%; overflow-x:auto"><code><?php echo $path?></code></div>
    <p><?php echo t('Please visit the %ssettings%s page if you need to change it later on', "<a href=\"$settingsLink\">", "</a>")?></p>

</div>


