<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2013 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
use Concrete\Package\GntMaxmind\Src\RedirectRule;

if (is_null($rule) || !is_object($rule)) {
    $rule = new RedirectRule();
}

extract($rule->getRecord());

$id = $rule->formID();

$prefix = "rules[$id]";
$jsPrefix = "rules\\\\[$id\\\\]";

$form = \Core::make('helper/form');
$ps   = \Core::make('helper/form/page_selector');
$ih   = \Core::make('helper/concrete/ui');

$redirectTypes = RedirectRule::getRedirectTypes();
$targetTypes   = RedirectRule::getRedirectTargets();
$notifyTypes   = RedirectRule::getNotifyTypes();
$notifyLayouts = RedirectRule::getNotifyLayouts();
$notifyThemes  = RedirectRule::getNotifyThemes();

?>
	<?php  if ($rule->error()) { ?>
	<tbody><tr><td colspan="8"><div class="alert alert-danger"><?php echo $rule->error()?></div></td></tr></tbody>
	<?php  } ?>
	<tbody id="rule_<?php echo $id?>_wrapper" class="<?php  if ($rule->error()) {?>bg-danger<?php  } ?><?php  if (!$activated) {?>disabled<?php  } ?>" >
<tr class="rule_<?php echo $id?>" >
	<td class="control text-center" rowspan="2" style="vertical-align: middle">
		<?php echo $rID ? $form->hidden("${prefix}[rID]", $rID) : ''?>
		<?php echo $form->hidden("${prefix}[rank]", intval($rank)) ?>
		<?php echo $form->checkbox("${prefix}[activated]", 1, $activated, array('style'=>'width:auto !important'))?>
		<script type="text/javascript">
		$(function(){
			$("#<?php echo $jsPrefix?>\\[activated\\]").change(function(){
				$('#rule_<?php echo $id?>_wrapper').toggleClass('disabled');
			});
		});
		</script>
	</td>
	<td class="matchRule">
		<?php echo $form->select("${prefix}[countryMatchType]", RedirectRule::getAvailableMatchTypes(RedirectRule::DATUM_COUNTRY), $countryMatchType)?>
		<div class="hideable" id="rule_<?php echo $id?>_country_match" <?php echo $countryMatchType == RedirectRule::MATCH_NOMATCH ? 'style="display:none"' : ''?> >
			<?php echo $form->text("${prefix}[countryCode]", $countryCode)?>
		</div>
		<script type="text/javascript">
		$(function(){
			$('#<?php echo $jsPrefix?>\\[countryMatchType\\]').change(function(){
				var val = parseInt($(this).val());
				$('#rule_<?php echo $id?>_country_match').show();
				if ( val == <?php echo RedirectRule::MATCH_NOMATCH?> ) $('#rule_<?php echo $id?>_country_match').hide();
			});
		});
		</script>
	</td>
	<td class="matchRule">
		<?php echo $form->select("${prefix}[stateMatchType]", RedirectRule::getAvailableMatchTypes(RedirectRule::DATUM_STATE), $stateMatchType)?>
		<div class="hideable" id="rule_<?php echo $id?>_state_match" <?php echo $stateMatchType == RedirectRule::MATCH_NOMATCH ? 'style="display:none"' : ''?> >
			<?php echo $form->text("${prefix}[stateCode]", $stateCode)?>
		</div>
		<script type="text/javascript">
		$(function(){
			$('#<?php echo $jsPrefix?>\\[stateMatchType\\]').change(function(){
				var val = parseInt($(this).val());
				$('#rule_<?php echo $id?>_state_match').show();
				if ( val == <?php echo RedirectRule::MATCH_NOMATCH?> ) $('#rule_<?php echo $id?>_state_match').hide();
			});
		});
		</script>
	</td>
	<td class="matchRule">
		<?php echo $form->select("${prefix}[cityMatchType]", RedirectRule::getAvailableMatchTypes(RedirectRule::DATUM_CITY), $cityMatchType)?>
		<div class="hideable" id="rule_<?php echo $id?>_city_match" <?php echo $cityMatchType == RedirectRule::MATCH_NOMATCH ? 'style="display:none"' : ''?> >
			<?php echo $form->text("${prefix}[cityName]", $cityName)?>
		</div>
		<script type="text/javascript">
		$(function(){
			$('#<?php echo $jsPrefix?>\\[cityMatchType\\]').change(function(){
				var val = parseInt($(this).val());
				$('#rule_<?php echo $id?>_city_match').show();
				if ( val == <?php echo RedirectRule::MATCH_NOMATCH?> ) $('#rule_<?php echo $id?>_city_match').hide();
			});
		});
		</script>
	</td>
	<td class="matchRule">
		<?php echo $form->select("${prefix}[ipMatchType]", RedirectRule::getAvailableMatchTypes(RedirectRule::DATUM_IP), $ipMatchType)?>
		<div class="hideable" id="rule_<?php echo $id?>_ip_match" <?php echo $ipMatchType == RedirectRule::MATCH_NOMATCH ? 'style="display:none"' : ''?> >
			<?php echo $form->text("${prefix}[ip]", $ip)?>
		</div>
		<script type="text/javascript">
		$(function(){
			$('#<?php echo $jsPrefix?>\\[ipMatchType\\]').change(function(){
				var val = parseInt($(this).val());
				$('#rule_<?php echo $id?>_ip_match').show();
				if ( val == <?php echo RedirectRule::MATCH_NOMATCH?> ) $('#rule_<?php echo $id?>_ip_match').hide();
			});
		});
		</script>
	</td>

	<td class="redirectType">
		<?php echo $form->select("${prefix}[redirectType]", $redirectTypes, $redirectType) ?>
		<div id="rule_<?php echo $id?>_redirectTimeout" class="hideable form-inline" <?php echo $redirectType == RedirectRule::REDIRECT_SUGGEST ? '' : 'style="display:none"'?> >
			<div class="input-group" style="display:inline-table; vertical-align: middle"><?php echo $form->number("${prefix}[timeout]", $timeout, array('style'=>'width:auto !important; max-width: 70px')) ?><span class="input-group-addon" style="width:auto !important"><?php echo t('s')?></span></div>
			<?php echo $form->label("${prefix}[timeout]", t("timeout (s)"))?>
		<div>
		<script type="text/javascript">
		$(function(){
			$('#<?php echo $jsPrefix?>\\[redirectType\\]').change(function(){
				if ( parseInt($(this).val())== <?php echo RedirectRule::REDIRECT_SUGGEST?> )
				{
					$('#rule_<?php echo $id?>_redirectTimeout').show();
					$('#rule_<?php echo $id?>_message').show();
				}
				else
				{
					$('#rule_<?php echo $id?>_redirectTimeout').hide();
					$('#rule_<?php echo $id?>_message').hide();
				}
			})
		});
		</script>
	</td>

	<td class="targetType">
		<?php echo $form->select("${prefix}[targetType]", $targetTypes, $targetType)?>
		<div class="hideable" <?php echo $targetType == RedirectRule::TARGET_PAGE ? '' : 'style="display:none"'?> id="rule_<?php echo $id?>_pageSelect" >
			<?php echo $ps->selectPage("${prefix}[targetCID]", $targetCID); ?>
			<div class="form-inline">
				<?php echo $form->label("${prefix}[params]", t("Params"))?>
				<?php echo $form->text("${prefix}[params]", $params); ?>
			</div>
		</div>
		<div class="hideable form-inline" <?php echo $targetType == RedirectRule::TARGET_URL ? '' : 'style="display:none"'?> id="rule_<?php echo $id?>_url" >
			<?php echo $form->label("${prefix}[link]", t("URL:")); ?>
			<?php echo $form->text("${prefix}[link]", $link); ?>
		</div>
		<script type="text/javascript">
		$(function(){
			$('#<?php echo $jsPrefix?>\\[targetType\\]').change(function(){
				var val = parseInt($(this).val());
				var pageSelect = $('#rule_<?php echo $id?>_pageSelect');
				var urlField   = $('#rule_<?php echo $id?>_url');

				pageSelect.hide();
				urlField.hide();

				if ( val == <?php echo RedirectRule::TARGET_PAGE?> ) pageSelect.show();
				if ( val == <?php echo RedirectRule::TARGET_URL?> )  urlField.show();
			});
		});
		</script>
	</td>

	<td class="options">
		<div class="checkbox">
			<label>
				<?php echo $form->checkbox("${prefix}[excludeUsers]", 1, $excludeUsers)?>
				<?php echo t('exclude users')?>
			</label>
		</div>
		<div class="checkbox bg-danger" >
			<label>
				<?php echo $form->checkbox("${prefix}[excludeAdmins]", 1, $excludeAdmins)?>
				<?php echo t('exclude admins')?>
			</label>
		</div>
	</td>

	<td class="control" rowspan="2" style="vertical-align:middle" class="text-center">
		<?php  if (!is_null($rID)) { ?>
			<?php echo $ih->submit(t("Delete"), "delete-rule-$id", '', 'btn-danger btn-xs'); ?>
		<?php  } else { ?>
			<?php echo $ih->button_js(t("Delete"), "$('#rule_${id}_wrapper').remove()", '', 'btn-warning btn-xs'); ?>
		<?php  } ?>
	</td>
</tr>
<tr style="<?php echo $redirectType == RedirectRule::REDIRECT_SUGGEST ? '' : 'display:none';?>" id="rule_<?php echo $id?>_message" class="longmessage">
	<td colspan="6" class="message">
		<div class="checkbox">
			<label>
				<?php echo $form->checkbox("${prefix}[useDefaultMessage]", 1, $useDefaultMessage);?>
				<?php echo t('Use Default Message');?>
			</label>
		</div>
		<?php echo $form->textarea("${prefix}[message]", $message, $useDefaultMessage ? array('readonly' => 'readonly', 'style' => 'min-height:146px') : ''); ?>
		<script type="text/javascript">
			$(function(){ $('#<?php echo $jsPrefix?>\\[useDefaultMessage\\]').change(function() {
				var checked = $(this).is(':checked');
				var message = $('#<?php echo $jsPrefix?>\\[message\\]');
				if ( checked ) message.prop( 'readonly', true );
				else message.prop( 'readonly', false );
			}) });
		</script>
	</td>
	<td class="options">
		<div class="checkbox">
			<label>
				<?php echo $form->checkbox("${prefix}[hideOnTimeout]", 1, $hideOnTimeout)?>
				<?php echo t('hide on timeout'); ?>
			</label>
		</div>
		<div class="checkbox">
			<label>
				<?php echo $form->checkbox("${prefix}[notifyModal]", 1, $notifyModal)?>
				<?php echo t('modal message')?>
			</label>
		</div>
		<div class="form-inline select" style="display:block">
			<?php echo $form->select("${prefix}[notifyType]", $notifyTypes, $notifyType)?>
			<?php echo $form->label("${prefix}[notifyType]", t('type')) ?>
		</div>
		<div class="form-inline select" style="display:block">
			<?php echo $form->select("${prefix}[notifyLayout]", $notifyLayouts, $notifyLayout)?>
			<?php echo $form->label("${prefix}[notifyLayout]", t('position')) ?>
		</div>
		<div class="form-inline select" style="display:block">
			<?php echo $form->select("${prefix}[notifyTheme]", $notifyThemes, $notifyTheme)?>
			<?php echo $form->label("${prefix}[notifyTheme]", t('theme')) ?>
		</div>
	</td>
</tr>
</tbody>


<?php 
// vim: set noexpandtab ts=4 ai :

