<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */


$ih   = Core::make('helper/concrete/ui');
$uh   = Core::make('helper/concrete/urls');
$form = Core::make('helper/form');

\View::getInstance()->requireAsset('core/sitemap'); // since the page selector is called with the ajax call, need to require that here

?>
<style type="text/css">
	tbody.disabled {
		background-color: #f9f9f9;
	}
</style>

<div class="panel panel-default">

	<div class="panel-heading"><?php echo t('Rule Set General Options:')?></div>
	<div class="panel-body">

	<?php  if ( $ruleSet->error() ) { ?><div class="alert alert-danger"><?php echo $ruleSet->error()?></div> <?php  } ?>

		<?php echo $ruleSet->getRuleSetID()?$form->hidden( 'rsID', $ruleSet->getRuleSetID() ):''?>
		<div class="checkbox">
			<label>
				<?php echo $form->checkbox( 'activated', 1, $ruleSet->activated() )?>
				<?php echo t('Activate this rule set')?>
			</label>
		</div>
		<div class="checkbox text-warning">
			<label>
				<?php echo $form->checkbox( 'debug', 1, $ruleSet->debug() )?>
				<?php echo t('Activate debug log for this ruleset' )?>
			</label>
		</div>

		<div class="form-group">
			<?php echo $form->label( 'name', t('Ruleset name: ' ) )?>
			<?php echo $form->text( 'name', $ruleSet->name() )?>
		</div>

		<div class="form-group">
			<?php echo $form->label( 'message', t('Redirection Message' ) )?>
			<?php echo $form->textarea( 'message', $ruleSet->message() )?>
			<div class="help-block">
				<?php echo t("This message will be shown for users whom IP is known in the database, in this message, the following patterns can be used:")?>
				<dl class="dl-horizontal" >
					<?php echo View::element('geoloc_patterns', array(), 'gnt_maxmind' )?>
					<dt><code>%TARGET_URL%</code>		</dt><dd><?php echo t('The rule target URL')?></dd>
					<dt><code>%TARGET_A_OPEN%</code>	</dt><dd><?php echo t('The rule target link open "a" tag ')?></dd>
					<dt><code>%TARGET_A_CLOSE%</code>	</dt><dd><?php echo t('The rule target link close "a" tag ')?></dd>
				</dl> 
				<?php echo t("For example, to create a link to the target in the message, use %sMy Link%s", '<code>%TARGET_A_OPEN%</code>', '<code>%TARGET_A_CLOSE%</code>' )?>
			</div>

		</div>
	</div>
</div>

<h3><?php echo t('Rules:');?></h3>
<div class="help-block">
	<?php echo t("Rules are activated in the order shown. You can move each rule to reorder them by dragging a rule up or down in the following table:")?>
</div>
<table class="table ruleset table-bordered" id="gnt_maxmind_ruleset">
	<thead>
		<tr>
			<th scope="column" rowspan="2" style="vertical-align: middle" class="text-center"><?php echo t("Active")?></th>
			<th scope="column" colspan="4" style="vertical-align: middle" class="text-center"><?php echo t('Matching')?></th>
			<th scope="column" rowspan="2" style="vertical-align: middle" class="text-center"><?php echo t("Redirect")?></th>
			<th scope="column" rowspan="2" style="vertical-align: middle" class="text-center"><?php echo t("Target")?></th>
			<th scope="column" rowspan="2" style="vertical-align: middle" class="text-center"><?php echo t("Options")?></th>
			<th scope="column" rowspan="2" class="empty"></th>
		</tr>
		<tr>
			<th scope="column" class="text-center"><?php echo t('Country Code')?></th>
			<th scope="column" class="text-center"><?php echo t('State Code')?></th>
			<th scope="column" class="text-center"><?php echo t('City')?></th>
			<th scope="column" class="text-center"><?php echo t('IP')?></th>
		</tr>
	</thead>
	<?php  foreach( $ruleSet->getRules() as $rule ) View::element('redirect_rule', array('rule'=>$rule), 'gnt_maxmind'); ?>
</table>
<script type="text/javascript">
function gnt_maxmind_add_rule()
{
	$.fn.dialog.showLoader();
	$.ajax( { url: '<?php echo URL::route(array('/ajax/redirect_rule', 'gnt_maxmind'))?>',
			  success: function(data) {
				  $.fn.dialog.hideLoader();
				  var list = $('#gnt_maxmind_ruleset');
				  list.append(data);
			  }
			});
}

function gnt_maxmind_recompute_rank()
{
	var ids = $('#gnt_maxmind_ruleset').sortable('toArray');
	for ( var i = 0; i < ids.length; i++ )
	{
		var id = ids[i].replace('rule_', '').replace('_wrapper','');
		var rank = $('#rules\\[' + id + '\\]\\[rank\\]');
		rank.val(i);
	}
}

$(function(){

	$('#gnt_maxmind_ruleset').sortable({
		cursor: 'move',
		opacity: 0.5,
		axis: "y",
		items:  '> tbody',
		stop: gnt_maxmind_recompute_rank
	});
	gnt_maxmind_recompute_rank();

});
</script>

<?php echo $ih->button_js(t('Add a redirect Rule'), 'gnt_maxmind_add_rule()', 'right', 'btn-success' )?>

<?php 
// vim: set noexpandtab ts=4 :
