<?php  
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

namespace Concrete\Package\GntMaxmind\Job;

defined('C5_EXECUTE') or die('Access Denied.');

use \Concrete\Package\GntMaxmind\Src\MaxmindDatabase;
use Package;
use \Concrete\Core\Job\Job as AbstractJob;
use Job;

class GntMaxmindDeleteUnusedDatabases extends AbstractJob
{
	public function getJobName() { return t("Delete unused Maxmind dbs"); }
	public function getJobDescription() 
	{ 
		return t( "Automatically delete unused MaxMind Databases." );
	}

	public function run()
	{
		$pkg = Package::getByHandle('gnt_maxmind');
		$key = $pkg->currentMaxMindKey();
		$list = MaxmindDatabase::listDatabases();

		unset( $list[$key] );

		if ( !count($list) ) return t('No unused database file to delete');

		foreach ( array_keys( $list ) as $key )
		{
			if ( !MaxmindDatabase::deleteDatabase($key) ) 
			{
				throw new Exception( t( 'Unable to remove database %s', $key ) );
			}
		}

		return t( 'Successfully deleted %s MaxMind GeoLite2 databases', count($list) );
	}
}

// vim: set noexpandtab ts=4 :
