<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
namespace Concrete\Package\GntMaxmind\Job;

defined('C5_EXECUTE') or die('Access Denied.');

use Package;
use Concrete\Core\Job\Job as AbstractJob;
use Concrete\Package\GntMaxmind\Src\MaxmindDatabase;

class GntMaxmindDownloadDatabase extends AbstractJob
{
    public function getJobName()
    {
        return t("Download Maxmind db");
    }

    public function getJobDescription()
    {
        return t("Automatically download the latest Maxmind GeoLite2 database.");
    }

    public function run()
    {
        $r = MaxmindDatabase::downloadAndInstallLatest();
        if (true != $r) {
            throw(new Exception($r));
        }

        $pkg = Package::getByHandle('gnt_maxmind');
        $pkg->useLastestInstalled();

        $list = MaxmindDatabase::listDatabases();

        if (!count($list)) {
            throw(new Exception(t('download complete but no database found after installation !!')));
        }

        $keys = array_keys($list);
        $lastKey = $keys[count($keys)-1];
        $last = $list[$lastKey];

        return t('Successfully downloaded and installed %s (%s)', $last[0], $last[1]);
    }
}

// vim: set noexpandtab ts=4 :

