<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 *                                                                             *
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

$ih   = Core::make('helper/concrete/ui');
$dash = Core::make('helper/concrete/dashboard');
$uh   = Core::make('helper/concrete/urls');
$form = Core::make('helper/form');
$nh   = Core::make('helper/navigation');

?>



<form method="post" action="<?php echo $this->action('update')?>" >
	<fieldset>
		<legend><?php echo t("Select Active Database")?></legend>
		<?php 
		if (count($dbList)) {
			$i = 1;
		?>
            <div class="list-group">
			<?php  foreach ($dbList as $key => $desc) { ?>
                <a class="list-group-item <?php  if ($activeDB == $key) { ?> active <?php  } ?>" >
					<div style="float:right; display:inline-block">
					<?php echo $form->checkbox("selected-db[]", $key)?>
					</div>
				<?php echo $form->radio('activeDB', $key, $activeDB)?>
				<?php echo $form->label("activeDB$i", t("Maxmind Database file: %s, Size: %s ", $desc[0], $desc[1])); ?>
				</a>

			<?php  
				$i++;
				}
            ?>
            </div>

			<div style="margin-top: 1ex">
			<?php echo $ih->submit(t('Save'), 'save', 'left', 'btn-primary'); ?>
			<?php echo $ih->submit(t('Delete'), 'delete', 'right', 'btn-danger'); ?>
			</div>

		<?php  } else { ?>
			<div class="alert alert-danger"><?php echo t('No %s database found, please upload or download latest', $name)?></div>
		<?php  
} ?>

	</fieldset>
</form>

<form method="post" action="<?php echo $this->action('upload')?>" enctype="multipart/form-data" >
	<legend><?php echo t("Update Database")?></legend>

		<div class="help-block">
			<p>
			<?php echo t("Latest MaxMind GeoLite database can be found %sHere%s", '<a href="http://dev.maxmind.com/geoip/geoip2/geolite2/" target="_blank">', '</a>')?>
			</p><p>
			<?php echo t("You can either download the city file manually, and then upload them through this form, or use the automatic download button if provided. Additionally, you can also use the commercial version of MaxMind GeoIP through this form.")?>
			</p>
		</div>

		<div class="form-group">
			<?php echo $form->label('dbFile', t('Upload new City GeoLite2 or GeoIP2 gz data file :'))?>
			<?php echo $form->file('dbFile', $file); ?>
		</div>

		<?php  if ($upload_max_size < 38*1024*1024) { ?>
				<div class="alert alert-warning">
				<?php echo t('The maximum upload file size (php.ini %supload_max_filesize%s) is set to %sB which is inferior to the average maxmind City DB size (around 38MB), chances are that the upload form will not let you upload the file correctly. Please modify your configuration, or upload the database differently.', "<code>", "</code>", "<code>$upload_max_size</code>")?>
				</div>
		<?php  } ?>

		<?php  if ($post_max_size < 38*1024*1024) { ?>
				<div class="alert alert-warning">
				<?php echo t('The maximum post request (php.ini %spost_max_size%s) is set to %sB which is inferior to the average maxmind City DB size (around 38MB), chances are that the upload form will not let you upload the file correctly. Please modify your configuration, or upload the database differently.', "<code>", "</code>", "<code>$post_max_size</code>")?>
				</div>
		<?php  } ?>

		<?php echo $ih->submit(t('Upload'), 'upload', 'right', 'btn btn-primary'); ?>
	</fieldset>
</form>

<div style="clear:both"></div>
<form>
	<fieldset>
		<legend><?php echo t('Automatic Download')?></legend>

			<?php  if ($canDownload) { ?>

				<?php  if ($canWrite) { ?>

                    <?php  if ($mem_max_size < 180*1024*1024) { ?>
                            <div class="alert alert-warning">
                            <?php echo t('The maximum memory limit (php.ini %smemory_limit%s) is set to %sB which is inferior to the average uncompressed City DB size + php VM (around 180MB), chances are that the decompression will fail. Please modify your configuration, or upload the database differently.', "<code>", "</code>", "<code>$mem_max_size</code>")?>
                            </div>
                    <?php  } ?>

					<?php echo $ih->button(t('Download Latest MaxMind GeoLite Free'), $this->action('download'), '', 'btn btn-success')?>
				<?php  } else { ?>
					<div class="alert alert-danger"><?php echo t('The %s directory must be writable to allow automatic download', $path)?></div>
				<?php  } ?>

			<?php  } else { ?>

				<div class="alert alert-danger">
					<?php echo t("CURL extension is not installed on your server, the automatic download feature is disabled.")?>
				</div>

				<div><?php echo t("You can still download manually the archives and upload them from this page")?></div>
			<?php  } ?>
		</div>
	</fieldset>
</form>

