<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

$ih   = Core::make('helper/concrete/ui');
$uh   = Core::make('helper/concrete/urls' );
$form = Core::make('helper/form');
$nh   = Core::make('helper/navigation');

?>

<form method="post" action="<?php echo $this->action( 'lookup' )?>" >
	<fieldset>
	<div class="ccm-pane-body ccm-ui">

	<div class="form-group">
		<?php echo $form->label('ip', t('IP:'));?>
		 <?php echo $form->text('ip', $ip ) ?>
	</div>

	<?php  if ( isset( $_REQUEST['ip'] ) ) { ?>
		<div class="panel panel-<?php  if (!$found) { ?>warning<?php  } else { ?>default<?php  } ?>">
			<div class="panel-heading "><?php echo t('Lookup results for IP %s', "<var>$_REQUEST[ip]</var>")?></div>

			<div class="panel-body">

			<?php  if ($found) { ?>

				<div class="col-sm-3">
					<h3><?php echo t('Country')?></h3>

					<?php  if ($country) { ?>


						<p>
						<?php echo t('Recorded country is %s (%s), the following table gives the name of the country in all available languages:', "<strong>$country</strong>", "<code>$countryCode</code>")?>
						</p>

						<table class="table table-striped table-condensed">
							<thead>
								<th><?php echo t('Language ISO Code')?></th>
								<th><?php echo t('Country name')?></th>
							</thead>
							<tbody>
							<?php  foreach ( $countries as $code => $name )  { ?>
								<tr><td><?php echo $code?></td><td><?php echo $name?></td></tr>
							<?php  } ?>
							</tbody>
						</table>

					<?php  } else { ?>
						<div class="alert alert-danger"><?php echo t( 'No country recorded in database for this IP')?></div>
					<?php  } ?>


				</div>


				<div class="col-sm-3">
					<h3><?php echo t('State')?></h3>

					<?php  if ($state) { ?>

						<p>
						<?php echo t('Recorded state is %s (%s), the following table gives the name of the state in all available languages:', "<strong>$state</strong>", "<code>$stateCode</code>")?>
						</p>

						<table class="table table-striped table-condensed">
							<thead>
								<th><?php echo t('Language ISO Code')?></th>
								<th><?php echo t('state name')?></th>
							</thead>
							<tbody>
							<?php  foreach ( $states as $code => $name )  { ?>
								<tr><td><?php echo $code?></td><td><?php echo $name?></td></tr>
							<?php  } ?>
							</tbody>
						</table>

					<?php  } else { ?>
						<div class="alert alert-danger"><?php echo t( 'No state or province recorded in database for this IP')?></div>
					<?php  } ?>

				</div>


				<div class="col-sm-3">
					<h3><?php echo t('City')?></h3>

					<?php  if ($city) { ?>

						<p>
						<?php echo t('Recorded city is %s, the following table gives the name of the city in all available languages:', "<strong>$city</strong>")?>
						</p>

						<table class="table table-striped table-condensed">
							<thead>
								<th><?php echo t('Language ISO Code')?></th>
								<th><?php echo t('City name')?></th>
							</thead>
							<tbody>
							<?php  foreach ( $cities as $code => $name )  { ?>
								<tr><td><?php echo $code?></td><td><?php echo $name?></td></tr>
							<?php  } ?>
							</tbody>
						</table>

					<?php  } else { ?>
						<div class="alert alert-danger"><?php echo t( 'No city recorded in database for this IP')?></div>
					<?php  } ?>
				</div>


				<div class="col-sm-3">
					<h3><?php echo t('Latitude/Longitude')?></h3>

					<?php  if ($latitude) { ?>

					<p>
					<?php echo t("Recorded Latitude/Longitude is %s, %s. Beware that the longitude/latitude is often referring to the user's ISP and hardly ever accurate to locate a connection.", 
						"<strong><var>$latitude</var></strong>", "<strong><var>$longitude</var></strong>" )?>
					</p>
					<div id="googleMapCanvas" class="googleMapCanvas" style="width:100%; min-height: 255px"></div>

					<script type="text/javascript" src="//maps.google.com/maps/api/js?sensor=true"></script>
					<script type="text/javascript">
						function googleMapInit() {
							try{
								var latlng = new google.maps.LatLng(<?php  echo $latitude?>, <?php  echo $longitude?>);
								var mapOptions = {
									center: latlng,
									zoom: 14,
									mapTypeId: google.maps.MapTypeId.ROADMAP,
									streetViewControl: false,
									scrollwheel: true,
									mapTypeControl: false,
									title: "<?php echo t("IP: %s", $ip)?>"
								};
								var map = new google.maps.Map(document.getElementById('googleMapCanvas'), mapOptions);
								var marker = new google.maps.Marker({
									position: latlng,
									map: map
								});
							}catch(e){

								var msg = <?php echo json_encode(t('Unable to display map:'))?> + "<p><samp>" + e.message + "</samp></p>";

								if ('undefined' == typeof(google)) {
									msg = <?php echo json_encode(t('Google API can not be loaded, are you running a local installation, or from a country where google is banned?'))?>;
								}

								$("#googleMapCanvas").replaceWith("<div class=\"alert alert-danger\">" + msg + "</div>")}
						}
						$(function() {
							var t;
							var startWhenVisible = function (){
								if ($("#googleMapCanvas").is(":visible")){
									window.clearInterval(t);
									googleMapInit();
									return true;
								}
								return false;
							};
							if (!startWhenVisible()){
								t = window.setInterval(function(){startWhenVisible();},100);
							}
						});
					</script>

				<?php  } ?>

			</div>

			<?php  } else { ?>
				<div class="alert alert-danger"><?php echo t( 'IP not found in database')?></div>
			<?php  } ?>

				</div>
			</div>
		</div>
	<?php  } ?>

    <div class="ccm-dashboard-form-actions-wrapper">
		<div class="ccm-dashboard-form-actions">
			<?php echo  $ih->submit(t('Lookup'), 'lookup','right','btn-success'); ?>
		</div>
	</div>

	</fieldset>
</form>

<?php 
// vim: set noexpandtab ts=4 :
