<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
use Concrete\Package\GntMaxmind\Src\RedirectRuleSet;

$ih   = Core::make('helper/concrete/ui');
$uh   = Core::make('helper/concrete/urls');
$form = Core::make('helper/form');
$nh   = Core::make('helper/navigation');

$rsList = RedirectRuleSet::listRuleSets();

$error->output();
?>

<form method="get" action="<?php echo $this->action('')?>" >
	<fieldset>
		<?php echo $ih->button(t('Create New Rule Set'), $this->action('create'), 'right', 'btn-success'); ?>

		<?php  if (count($rsList)) { ?>
			<?php echo $ih->submit(t('Edit'), 'update', 'right', 'btn-primary') ?>
			<div class="form-group">
				<?php echo $form->label('rsID', t('Redirect Rule Set: '), array('class' => 'col-sm-2'))?>
                <div class="input col-sm-8">
                    <?php echo $form->select('rsID', $rsList, $rsID)?>
                </div>
			</div>
		<?php  } else { ?>
            <?php  if (!$ruleSet) { ?>
                <div class="alert alert-warning"><?php echo t('No rules found, please create a rule using the %sCreate New Rule Set%s button', '<em>', '</em>')?></div>
            <?php  } ?>
		<?php  } ?>
	</fieldset>
</form>


<form method="post" action="<?php echo $this->action('save')?>" >

	<?php  if ($ruleSet) { ?>
		<?php echo $form->hidden('action', $action) ?>
		<div class="ccm-pane-body ccm-ui" style="padding-top: 0px; margin-top: 0px; ">
			<?php  View::element('ruleset_edit',  array( 'ruleSet' => $ruleSet ), 'gnt_maxmind'); ?>
		</div>
	<?php  } ?>

	<?php  if ($ruleSet) { ?>
    <div class="ccm-dashboard-form-actions-wrapper">
		<div class="ccm-dashboard-form-actions">

            <div class="form-inline">
                <span id="test-button" style="display:none">
                    <span style="color:  white"><?php echo $form->label('testIP', t('IP'))?></span>
                    <?php echo $form->text('testIP')?>
                    <?php echo $ih->button(t('Test!'), 'javascript:(void)', '', 'btn-success')?>
                </span>

                <?php echo  $ih->submit(t('Save'), 'save','right','btn-primary'); ?>
            </div>
			<?php 
			if ($ruleSet && $ruleSet->getRuleSetID()) {
				echo $ih->submit(t('Delete Rule Set'), 'delete', 'right', 'btn-danger');
			}
			?>
		</div>
	</div>
	<?php  } ?>

</form>

