<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

namespace Concrete\Package\GntMaxmind\Controller\SinglePage\Dashboard\GntMaxmind;

use Concrete\Package\GntMaxmind\Controller as MaxmindPackage;

defined('C5_EXECUTE') or die('Access Denied.');

$form = \Core::make('helper/form','gnt_maxmind');
$ih   = \Core::make('helper/concrete/ui');

$error->output();

?>
<form method="post" action="<?php echo $this->action( 'update' )?>" >

    <fieldset>
        <legend><?php echo t('Global activation'); ?></legend>
        <div class="form-group">
            <label>
                <?php echo $form->checkbox('globalEnable', 1, $isDisabled?0:1)?>
                <?php echo t('Enable Maxmind IP-Geoloc base redirections')?>
            </label>
            <div class="help-block">
                <?php echo t('If this switch is disabled, no redirection will occur on the Maxmind GeoIP Redirect and Message block.')?>
                <?php echo t('Use this only in case you run into trouble with improper redirections.')?>
            </div>
        </div>
    </fieldset>

    <fieldset>
        <legend><?php echo t('Maxmind Database storage options'); ?></legend>
        <div class="control-group">
            <?php echo $form->label('dbStoragePath', t('Maxmind storage location'))?>
            <div class="input-group">
                <div class="input-group-addon"><?php echo $form->checkbox('changeDbStoragePath', 1, 0)?></div>
                <?php echo $form->text('dbStoragePath', $dbStoragePath, array('disabled' => 'disabled'))?>
            </div>
        </div>
        <div class="changeDbStorage" style="display:none">
            <div class="radio">
                <label>
                    <?php echo $form->radio('moveMethod', Settings::MOVE_DATABASES, $moveMethod)?>
                    <?php echo t('Move existing databases to the new location');?>
                </label>
            </div>
            <div class="radio">
                <label>
                    <?php echo $form->radio('moveMethod', Settings::START_ANEW, $moveMethod)?>
                    <?php echo t('Do not move existing databases to the new location');?>
                </label>
            </div>
            <div class="form-group checkbox">
                <label class="bg-danger">
                    <?php echo $form->checkbox('removeOldDirectory', 1, 0); ?>
                    <?php echo t('Remove old database directory after moving'); ?>
                </label>
                <div class="help-block">
                    <?php echo t('If selected, Maxmind IP-Geoloc will attempt to delete the old directory. Deletion can only succeed if the directory only contained .mmdb files')?>
                </div>
            </div>
        </div>
<script type="text/javascript">
    $(function(){
        $('#changeDbStoragePath').change(function(){
            if ($('#changeDbStoragePath').is(':checked')) {
                $('#dbStoragePath').enable(true);
                $('.changeDbStorage').show();
            } else {
                $('#dbStoragePath').enable(false);
                $('.changeDbStorage').hide();
            }
        });
    });
</script>
    </fieldset>
    <fieldset>
        <legend><?php echo t("Uninstallation behavior")?></legend>
        <div class="form-group checkbox">
            <label class="bg-warning">
                <?php echo $form->checkbox('removeOnUninstall', 1, $removeOnUninstall?1:0); ?>
                <?php echo t('Remove maxmind databases upon addon uninstallation')?>
            </label>
        </div>
    </fieldset>

    <fieldset>
        <legend><?php echo t("Debugging Options")?></legend>
        <div class="form-group">
            <?php echo $form->label('simulationMethod', t('Allow IP simulation (debug)'))?>
            <?php echo $form->select('simulationMethod', MaxmindPackage::simulationMethodNames(), $simulationMethod);?>
        </div>

        <div class="form-group" id="requestVarName" style="<?php  if ($simulationMethod != MaxmindPackage::SIMULATION_GET) {?>display:none<?php  } ?>" >
            <?php echo $form->label('simulationVarName', t('GET variable name'))?>
            <?php echo $form->text('simulationVarName', $simulationVarName)?>
            <script type="text/javascript">
            $(function(){
                $('#simulationMethod').change(function(){
                    if (<?php echo MaxmindPackage::SIMULATION_GET?> == parseInt($('#simulationMethod').val())) {
                        $('#requestVarName').show();
                    } else {
                        $('#requestVarName').hide();
                    }
                });
            });
            </script>
        </div>

        <div class="form-group" id="fixedip" style="<?php  if ($simulationMethod != MaxmindPackage::SIMULATION_FIXED) {?>display:none<?php  } ?>" >
            <?php echo $form->label('simulationIP', t('Simulated IP'))?>
            <?php echo $form->text('simulationIP', $simulationIP)?>
            <script type="text/javascript">
            $(function(){
                $('#simulationMethod').change(function(){
                    if (<?php echo MaxmindPackage::SIMULATION_FIXED?> == parseInt($('#simulationMethod').val())) {
                        $('#fixedip').show();
                    } else {
                        $('#fixedip').hide();
                    }
                });
            });
            </script>
        </div>
        
    </fieldset>

    <div class="ccm-dashboard-form-actions-wrapper">
		<div class="ccm-dashboard-form-actions">
			<?php echo  $ih->submit(t('Save'), 'save','right','btn-primary'); ?>
		</div>
	</div>

</form>

<?php 
