<?php 
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2016 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
namespace Concrete\Package\GntMaxmind\Src;

defined('C5_EXECUTE') or die('Access Denied.');

use Package;
use Concrete\Core\Asset\Asset;
use Concrete\Core\Asset\JavascriptAsset;
use View;

class NotifierAsset extends JavascriptAsset
{
    public static $handle = 'maxmind_notfiier';

    private $_rule = null;

    public function __construct($rID)
    {
        parent::__construct(self::$handle);

        $this->setPackageObject(Package::getByHandle('gnt_maxmind'));
        $this->setAssetIsLocal(true);
        $this->setAssetPosition(Asset::ASSET_POSITION_FOOTER);

        $this->_rule = RedirectRule::getByID($rID);
    }

    public function assetSupportsMinification()
    {
        return false;
    }
    public function assetSupportsCombination()
    {
        return false;
    }

    public function __toString()
    {
        if (is_null($this->_rule)) {
            return '';
        }

        $args = array();
        $args['rule'] = $rule = $this->_rule;

        $pkg = Package::getByHandle('gnt_maxmind');
        $args['ip'] = $pkg->getCurrentIP();

        $message = $rule->message();

        $args['target']  = $target  = $rule->target();
        $args['timeout'] = $timeout = $rule->timeout();
        $args['counterID'] = $counterID = uniqid();

        if ($target && !$rule->hideOnTimeout()) {
            $message .= " (".t("%ss ", "<span id=\"count_$counterID\">$timeout</span>");

            $message .= t('%scancel%s', '&nbsp;<a href="javascript:void(0)" id="cancelRedirect'.$counterID.'" >', '</a>');

            $message .= ")";
        }
        $args['message'] = $message;

        ob_start();
        View::element('notifier', $args, 'gnt_maxmind');

        return ob_get_clean();
    }
}

